Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1658278 - [RFE] Configure Pulp to connect to MongoDB using username/password
Summary: [RFE] Configure Pulp to connect to MongoDB using username/password
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Devendra Singh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-11 16:45 UTC by David Davis
Modified: 2020-02-03 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-03 16:29:46 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Davis 2018-12-11 16:45:53 UTC
Currently, we use firewall rules to restrict access to MongoDB. See:

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html/installation_guide/installing_capsule_server#restricting_access_to_mongod_2

Customers want to externalize MongoDB so I worry about them not setting up the firewall rules correctly. 

Optimally, I think Satellite should configure Pulp to connect to MongoDB using a username/password in addition to having those firewall rules. However, it looks like there was a limitation in the puppet module for mongodb back in 2016. See:

https://bugzilla.redhat.com/show_bug.cgi?id=1132607#c20

Is this still the case? Is there maybe a workaround?

Comment 4 Bryan Kearney 2020-01-15 21:00:45 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Red Hat Technical Support or your account team. If we do not hear from you, we will close this bug out. Thank you.

Comment 5 Bryan Kearney 2020-02-03 16:29:46 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support. Thank you.


Note You need to log in before you can comment on or make changes to this bug.